Firefox compatibility

Compatibility with Firefox was fixed.

For the more curious: up until now, very recent versions of Firefox (62.0 onwards) did not appreciate our SSL certificate chain, but this has now been resolved.